> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/ios/feedback/vehiclecrashdetectionfeedback.md).

# VehicleCrashDetectionFeedback

This class is used for submitting feedback about a vehicle crash to the Sentiance SDK. See [submitVehicleCrashDetectionFeedback](/important-topics/sdk/api-reference/android/feedback/feedbackapi.md#submitvehiclecrashdetectionfeedback).

## VehicleCrashDetectionFeedback API

### `crash()`

Creates feedback for a vehicle crash that occurred on the specified date, with an optional crash location. Use this to report crashes that either were or were not detected by the Sentiance SDK.

Returns a VehicleCrashDetectionFeedback instance with the provided input.

```swift
static func crash(
        crashDate: Date,
        wasCrashDetectedBySentiance: Bool,
        crashLocation: CLLocationCoordinate2D? = nil
    ) -> VehicleCrashDetectionFeedback
```

<table><thead><tr><th width="271.24127197265625">Parameters</th><th></th></tr></thead><tbody><tr><td>crashDate</td><td>The date of the crash event reported by the Sentiance SDK, or if a crash was not detected, the date of the actual crash.</td></tr><tr><td>wasCrashDetectedBySentiance</td><td>Whether the Sentiance SDK detected and reported the crash.</td></tr><tr><td>crashLocation</td><td>The location where the crash happened.</td></tr></tbody></table>

### `noCrash()`

Creates feedback indicating that no crash occurred for a crash event reported by the Sentiance SDK. Use this to report false positives when the SDK incorrectly detected a vehicle crash.

Returns a VehicleCrashDetectionFeedback instance with the provided input.

```swift
static func noCrash(eventDate: Date) -> VehicleCrashDetectionFeedback
```

<table><thead><tr><th width="220">Parameters</th><th></th></tr></thead><tbody><tr><td>eventDate</td><td>The date of the crash event reported by the Sentiance SDK.</td></tr></tbody></table>

### `crashLocation`

The location where the crash happened if it was provided to [crash()](#crash). Otherwise, returns `null`.

```swift
let wasRealCrash: Bool
```

### `eventDate`

The eventDate provided to [noCrash()](#nocrash), or the crashDate provided to [crash()](#crash).

```swift
let eventDate: Date
```

### `wasCrashDetectedBySentiance`

Whether the Sentiance SDK detected and reported the crash.

```swift
let wasCrashDetectedBySentiance: Bool
```

### `wasRealCrash`

Whether a crash occurred on the specified eventDate.

```swift
let wasRealCrash: Bool
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/feedback/vehiclecrashdetectionfeedback.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
